This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200303 - wpa_supplicant fails to associate with bcm43xx driver
wpa_supplicant fails to associate with bcm43xx driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 15:12 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 22:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
wpa_supplicant output (10.76 KB, text/plain)
2006-07-26 15:12 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2006-07-26 15:12:00 EDT
Description of problem:

I'm setting up a new WPA2/AES PSK wireless network, and trying to get my Lynksys
WPC54GS (V12) to connect using the bcm43xx driver.  I can connect okay from a
Windows machine as well as from another FC5 system using the ipw2100 driver, so
I suspect it's a bcm43xx issue.

Bug #184521 mentions a fix for the bcm43xx driver that got into the
2.6.16-1.2088_FC6 kernel.  I'd imagine though that that fix is in
2.6.17-1.2159_FC5 as well, which is what I'm running.

wpa_supplicant.conf:
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel

network={
        ssid="CORA"
        psk=<key>
        key_mgmt=WPA-PSK
        proto=WPA2
        pairwise=CCMP
        group=CCMP
}

Version-Release number of selected component (if applicable):
wpa_supplicant-0.4.8-10.fc5

How reproducible:
everytime
Comment 1 Orion Poplawski 2006-07-26 15:12:01 EDT
Created attachment 133089 [details]
wpa_supplicant output
Comment 2 Heiko Jakob 2006-10-27 16:47:58 EDT
Try the following:

1. Disable wpa_supplicant service
# chkconfig wpa_supplicant off

2. Add the following line on the end of
/etc/sysconfig/network-scripts/ifup-wireless 

wpa_supplicant -B -i$DEVICE -Dwext -c /etc/wpa_supplicant/wpa_supplicant.conf



This should work as a temp. workaround.
But the whole wireless setup scripts need some cleanup i think.

Regards Heiko
Comment 3 Orion Poplawski 2006-10-27 22:38:57 EDT
This appears to be fixed in 2.6.18-1.2200.fc5.

Note You need to log in before you can comment on or make changes to this bug.